com.mapinfo.midev.language.filter

## Class FilterCapabilities

- java.lang.Object
- - com.mapinfo.midev.language.filter.FilterCapabilities

All Implemented Interfaces:
  IFilterCapabilitiesSupport, ILanguageCapabilities

    public final class FilterCapabilities
    extends Object
    implements ILanguageCapabilities, IFilterCapabilitiesSupport

Identifies all the Filter Language capabilities that a data provider supports.

### Nested Class Summary

Nested Classes
`static class` `FilterCapabilities.Builder` Builder for constructing a `FilterCapabilities`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`AttributeFilterCapability` `getAttributeFilterCapability()` Returns the AttributeFilterCapability.
`BetweenFilterCapability` `getBetweenFilterCapability()` Returns the BetweenFilterCapability.
`DistanceFilterCapability` `getDistanceFilterCapability()` Returns the DistanceFilterCapability.
`DistanceToEdgeFilterCapability` `getDistanceToEdgeFilterCapability()`
`EnvelopeFilterCapability` `getEnvelopeFilterCapability()` Returns the EnvelopeFilterCapability.
`GeometryFilterCapability` `getGeometryFilterCapability()` Returns the GeometryFilterCapability.
`InListFilterCapability` `getInListFilterCapability()` Returns the InListFilterCapability.
`IsNullFilterCapability` `getIsNullFilterCapability()` Returns the IsNullFilterCapability.
`ILanguage` `getLanguage()` References the language these capabilities describe.
`LikeFilterCapability` `getLikeFilterCapability()` Returns the LikeFilterCapability.
`LimitFilterCapability` `getLimitFilterCapability()` Returns the LimitFilterCapability.
`LogicalFilterCapability` `getLogicalFilterCapability()` Returns the LogicalFilterCapability.
`MixedSpatialAndNonSpatialFilterCapability` `getMixedSpatialAndNonSpatialFilterCapability()` Returns the MixedSpatialAndNonSpatialFilterCapability.
`NearestFilterCapability` `getNearestFilterCapability()` Returns the NearestFilterCapability.
`OffsetFilterCapability` `getOffsetFilterCapability()` Returns the OffsetFilterCapability.
`OrderByFilterCapability` `getOrderByFilterCapability()` Returns the OrderByFilterCapability.
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getLanguage

    public ILanguage getLanguage()

Description copied from interface: `ILanguageCapabilities`
References the language these capabilities describe.

Specified by:
  `getLanguage` in interface `ILanguageCapabilities`
Returns:
  the language instance that these capabilities describe.

#### getAttributeFilterCapability

    public AttributeFilterCapability getAttributeFilterCapability()

Returns the AttributeFilterCapability.

Returns:
  the AttributeFilterCapability.

#### getBetweenFilterCapability

    public BetweenFilterCapability getBetweenFilterCapability()

Returns the BetweenFilterCapability.

Returns:
  the BetweenFilterCapability.

#### getDistanceFilterCapability

    public DistanceFilterCapability getDistanceFilterCapability()

Returns the DistanceFilterCapability.

Returns:
  the DistanceFilterCapability.

#### getEnvelopeFilterCapability

    public EnvelopeFilterCapability getEnvelopeFilterCapability()

Returns the EnvelopeFilterCapability.

Returns:
  the EnvelopeFilterCapability.

#### getGeometryFilterCapability

    public GeometryFilterCapability getGeometryFilterCapability()

Returns the GeometryFilterCapability.

Returns:
  the GeometryFilterCapability.

#### getInListFilterCapability

    public InListFilterCapability getInListFilterCapability()

Returns the InListFilterCapability.

Returns:
  the InListFilterCapability.

#### getIsNullFilterCapability

    public IsNullFilterCapability getIsNullFilterCapability()

Returns the IsNullFilterCapability.

Returns:
  the IsNullFilterCapability.

#### getLikeFilterCapability

    public LikeFilterCapability getLikeFilterCapability()

Returns the LikeFilterCapability.

Returns:
  the LikeFilterCapability.

#### getLogicalFilterCapability

    public LogicalFilterCapability getLogicalFilterCapability()

Returns the LogicalFilterCapability.

Returns:
  the LogicalFilterCapability.

#### getNearestFilterCapability

    public NearestFilterCapability getNearestFilterCapability()

Returns the NearestFilterCapability.

Returns:
  the NearestFilterCapability.

#### getOrderByFilterCapability

    public OrderByFilterCapability getOrderByFilterCapability()

Returns the OrderByFilterCapability.

Returns:
  the OrderByFilterCapability.

#### getLimitFilterCapability

    public LimitFilterCapability getLimitFilterCapability()

Returns the LimitFilterCapability.

Returns:
  the LimitFilterCapability.

#### getOffsetFilterCapability

    public OffsetFilterCapability getOffsetFilterCapability()

Returns the OffsetFilterCapability.

Returns:
  the OffsetFilterCapability.

#### getMixedSpatialAndNonSpatialFilterCapability

    public MixedSpatialAndNonSpatialFilterCapability getMixedSpatialAndNonSpatialFilterCapability()

Returns the MixedSpatialAndNonSpatialFilterCapability.

Returns:
  the MixedSpatialAndNonSpatialFilterCapability.

#### getDistanceToEdgeFilterCapability

    public DistanceToEdgeFilterCapability getDistanceToEdgeFilterCapability()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`